
var srcDir = './src';
var dstDir = './dist';

module.exports = {

    /**
     * Root URL
     * 
     * Defaults to '/', but this should only be used for local
     * development (https://yoast.com/relative-urls-issues/).
     */
    root: '/',

    /**
     * Source directory
     */
    srcDir: srcDir,

    /**
     * Destination directory
     */
    dstDir: dstDir,

    /**
     * Pages directory
     */
    pagesDir: srcDir + '/pages',

    /**
     * Data directory
     */
    dataDir: srcDir + '/data',

    /**
     * Helpers directory
     * @type {RegExp}
     */
    helpersDir: srcDir + '/helpers',

    /**
     * Partials directory
     */
    partialsDir: srcDir + '/partials',

    /**
     * Layouts directory
     */
    layoutsDir: srcDir + '/layouts',

    /**
     * Data type whitelist
     */
    dataTypes: ['json'],

    /**
     * Template type whitelist
     */
    templateTypes: ['html', 'md', 'markdown'],

};
